%define major	0
%define libname %mklibname gcal %{major}
%define develname %mklibname gcal -d

Name:		libgcal
Version:	0.9.6
Release:	%mkrel 4
Summary:	Implements Google Data Protocol 2.0
License:	BSD
Group:		System/Libraries
URL:		http://code.google.com/p/libgcal/
Source:		http://libgcal.googlecode.com/files/%name-%version.tar.bz2
Patch0:		libgcal-0.9.6-check-for-empty-strings.patch
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	libxml2-devel
BuildRequires:	check-devel

%description
Implements Google Data Protocol 2.0. 
It does allow communication with google calendar and contacts, 
implements already:
- authentication
- get all events/contacts
- atom stream parsing
- access to individual events/contacts
- add/delete/edit events/contacts
- query for updated events/contacts
- add/edit/delete contacts with photo
- download your contact's photos
- proxy is supported
- timezones
- use only xml to add/edit/delete entries
- great doxygen documentation 

#-------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library implementing Google Data Protocol Data 2.0
Group:		System/Libraries
Obsoletes:	libgcal <= 0.9.3-1
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This library implements Google Data Protocol 2.0
It does allow communication with google calendar and contacts, 
implements already:
- authentication
- get all events/contacts
- atom stream parsing
- access to individual events/contacts
- add/delete/edit events/contacts
- query for updated events/contacts
- add/edit/delete contacts with photo
- download your contact's photos
- proxy is supported
- timezones
- use only xml to add/edit/delete entries
- great doxygen documentation 

%files -n	%{libname}
%{_libdir}/libgcal.so.%{major}*

#--------------------------------------------------------------------


%package -n	%{develname}
Summary:	Library headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Obsoletes:	libgcal-devel <= 0.9.3-1
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n	%{develname}
%{_includedir}/*
%{_libdir}/libgcal.so
%{_libdir}/pkgconfig/libgcal.pc
%{_libdir}/LibGCal/cmake/LibGCalConfig.cmake

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
%cmake
%make

%install
%makeinstall_std -C build


%changelog

* Tue Jan 15 2013 fwang <fwang> 0.9.6-4.mga3
+ Revision: 388210
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 boklm <boklm> 0.9.6-3.mga1
+ Revision: 76168
- rebuild for bug #497

* Fri Mar 11 2011 mikala <mikala> 0.9.6-2.mga1
+ Revision: 68076
- Add patch0 from upstream (fix issue #69 on libgcal bugzilla) :
 Checks now for empty strings before copy them

* Fri Feb 18 2011 mikala <mikala> 0.9.6-1.mga1
+ Revision: 53805
- imported package libgcal

